/******************/
/****RESPONSIVE****/
/******************/
@media screen and (max-width: 1450px) {
	.bloc_slider_50_50 {
		margin: 0 20px;
	}
	.bloc_slider_50_50 .mySlider_fifty_fifty.widzmain {
		width: auto;
		margin-right: 40px;
		margin-left: 40px;
	}
}


@media screen and (max-width: 1350px) {
	.footer_content.widzmain {
		width: auto;
		margin-right: 40px;
		margin-left: 40px;
	}
	.footer_top_editor {
		flex: 1;
		max-width: unset;
	}
	.footer_top_buttons a:last-of-type {
		margin-top: 13px;
		margin-left: 0;
	}
}


@media screen and (max-width: 1250px) {
	/*** CLASSICS ***/
	.widzmain {
		width: auto;
		margin-right: 20px;
		margin-left: 20px;
	}
	/*** AUTRES ***/
	#footer_menu {
		padding-bottom: 10px;
	}
	.footer_menu_tel {
		margin-top: 0;
		margin-bottom: 40px;
	}
	.height_square_pics_mozaik,
	.partners_pics_mozaik,
	.bloc_select_height_children_equipement {
		justify-content: center;
	}
	.four_square_single_article {
		min-width: unset;
	}
	.mySlider_product_cards .square_pics_single_pic img,
	.mySlider_product_cards .square_pics_single_nopic {
		width: 100%;
		height: 300px;
	}
	.bloc_remontee_equip ul li {
		min-width: unset;
	}
	.single_realisation {
		max-width: unset;
		width: 23%;
	}
	.single_rea_thumb {
		width: unset;
	}
}


@media screen and (max-width: 1180px) {
	/*** MENU RESPONSIVE ***/
	#logo,
	#logo_home {
		margin: 0 auto;
	}
	.navtop,
	#navtop_home {
		flex: unset;
		width: 95%;
	}
	#widget_select_language {
		width: 3%;
		margin-left: 0;
		margin-right: 1%;
	}
	.page-template-page_accueil #main {
		margin-top: -185px;
		z-index: 9;
	}
	.home_chapo p:has(.title_h1_white) {
		margin: 3px 0 0;
	}
}




@media screen and (max-width: 1080px){
	/*** CLASSICS ***/
	.widzmed {
		width: auto;
		margin-right: 20px;
		margin-left: 20px;
	}
	/*** 404 ***/
	#page_404{
		display: flex;
		flex-wrap: wrap;
		padding: 94px 0 94px;
	}
	#page_404_ill_block{
		width: 46%;
		margin: 0 8% 0 0;
	}
	/*** AUTRES ***/
	.footer_top {
		padding-bottom: 25px;
		border-bottom: unset;
		border-image: unset;
	}
	.footer_top_buttons {
		width: 30%;
	}
	.footer_top_buttons a {
		width: 100%;
		text-align: center;
	}
	#footer_resp_buttons {
		display: block;
		padding-bottom: 32px;
		border-bottom: 1px solid;
		border-image: linear-gradient(90deg, #0F2842 0%, #25588D 49.9%, #0F2842 100%) 1;
	}
	#footer_resp_buttons > a {
		display: none;
	}
	.bloc_50_50 {
		display: flex;
		flex-direction: column;
	}
	.bloc_50_50_col_left {
		margin-bottom: 30px;
	}
	.bloc_50_50_content {
		margin-bottom: 0;
	}
	.bloc_50_50_btn {
		margin: 12px auto 25px;
	}
	.bloc_50_50_mainpic img {
		width: clamp(250px, 70vw, 1080px);
		aspect-ratio: 1080 / 700;
		margin: 0 auto;
	}
	.bloc_pic_edit_col_left img {
		width: clamp(250px, 50vw, 530px);
		aspect-ratio: 530 / 525;
	}
	.single_rea_thumb::after,
	.four_square_single_article:has(.four_square_link):after {
		background: url('../img/button_plus_link_resp.svg')no-repeat center;
	}
	.single_realisation:hover .single_rea_thumb:after,
	.four_square_single_article:hover::after {
		background: url('../img/button_plus_link_hovered_resp.svg')no-repeat center;
	}
	.single_rea_thumb::after,
	.single_realisation:hover .single_rea_thumb:after,
	.four_square_single_article:after,
	.four_square_single_article:hover::after {
		width: 38px !important;
		height: 38px !important;
		transition: transform 0.3s;
	}
	.single-cpt_produit #breadcrumb {
		padding-bottom: 10px;
	}
	#bloc_single_actu_cards ul li {
		width: 31%;
	}
	.bloc_remontee_equip ul li {
		width: 31%;
	}
	.bloc_remontee_equip_image {
		height: 433px;
	}
	.bloc_remontee_equip_title {
		top: 77%;
	}
}



@media screen and (max-width: 980px) {
	/*** MENU PRINCIPAL ***/
	#header:has(#navtop_bt.bt_navtop_hover) {
		padding: 10px 0 0;
		margin: 0 0 20px;
		background: var(--Bleu3);
	}
	#header:has(#navtop_bt.bt_navtop_hover) #logo {
		background: url("../img/logo_gisman_light.svg") no-repeat center;
		width: 90px;
		height: 70px;
	}
	#header:has(#navtop_bt.bt_navtop_hover) #logo img {
		display: none;
	}
	#navtop_bt {
		display: block;
		position: absolute;
		top: 19px;
		right: 7px;
	}
	#header:has(#navtop_bt.bt_navtop_hover) #navtop_bt {
		right: 27px;
	}
	.bt_navtop_hover #navtop_bt_span::before,
	.bt_navtop_hover #navtop_bt_span::after {
		background: var(--wh);
	}
	.navtop,
	#navtop_home {
		display: none;
	}
	#navtop_bt.bt_navtop_hover + .navtop,
	#navtop_bt.bt_navtop_hover + #navtop_home {
		display: block;
		padding-top: 10px;
	}
	.navtop ul,
	.navtop_home ul {
		flex-wrap: unset;
		flex-direction: column;
		justify-content: flex-start;
		padding: 30px 20px 70px 47px;
		background-color: var(--Bleu2);
	}
	.navtop ul li,
	.navtop_home ul li {
		display: block;
		width: 100%;
		padding-bottom: 26px;
	}
	.navtop ul li a,
	.navtop_home ul li a {
		padding-right: 20px;
		color: var(--wh);
	}
	.navtop ul li:hover a,
	.navtop_home ul li:hover a {
		color: var(--Gris-bleu2);
	}
	.navtop ul li#menu-item-34,
	.navtop_home ul li#menu-item-34 {
		display: none;
	}
	.navtop ul li#menu-item-33 a,
	.navtop_home ul li#menu-item-33 a {
		border-radius: 60px;
		border: 0.5px solid var(--Bleu1, #25588D);
		background: var(--Degrade-boutons, linear-gradient(90deg, #25588D 0%, rgba(5, 22, 38, 0.00) 100%));
	}
	.navtop ul li#menu-item-33 a::before,
	.navtop_home ul li#menu-item-33 a::before {
		background: url('../img/header_sun_calc_white.svg') no-repeat;
	}
	.navtop ul li#menu-item-33:hover a,
	.navtop_home ul li#menu-item-33:hover a {
		background: linear-gradient(90deg, #25588D 100%, rgba(5, 22, 38, 0.00) 0%);
		border: 0.5px solid var(--Bleu1);
		transition: all 0.3s;
	}
	.navtop ul li:hover ul,
	.navtop_home ul li:hover ul {
		display: block;
		position: relative;
		padding: 15px 15px 0 19px;
		background: var(--Bleu2);
	}
	.navtop ul li.menu-item-has-children:hover ul,
	.navtop_home ul li.menu-item-has-children:hover ul {
		display: block;
	}
	.navtop ul li ul li:last-of-type::after,
	.navtop_home ul li ul li:last-of-type::after {
		right: 8px;
	}
	.navtop ul li ul li:after,
	.navtop ul li ul li:last-of-type::after,
	.navtop_home ul li ul li:after,
	.navtop_home ul li ul li:last-of-type::after {
		background: url('../img/submenu_white_arrow_large.svg')no-repeat center !important;
		width: 8px !important;
		height: 13px !important;
	}
	.navtop ul li ul li:last-of-type::after,
	.navtop_home ul li ul li:last-of-type::after {
		right: 10px !important;
	}
	#widget_select_language {
		display: none;
	}
	/*** Autre ***/
	.home_chapo {
		padding-top: 150px;
	}
	.four_dark_squares_content {
		justify-content: flex-start;
		overflow-x: scroll;
		scrollbar-width: thin;
		scrollbar-color: var(--Bleu3);
	}
	.four_square_single_article {
		min-width: 260px;
	}
	.bloc_remontee_equip ul {
		flex-wrap: unset;
		flex-direction: column;
		justify-content: center;
		row-gap: 16px;
		padding: 0 25%;
	}
	.bloc_remontee_equip ul li {
		width: 100%;
	}
	.bloc_remontee_equip_title {
		max-width: unset;
	}
	.bloc_remontee_equip_single_content {
		transform: unset;
	}
	.bloc_remontee_equip ul li:hover .bloc_remontee_equip_single_content {
		display: block;
		bottom: 20px;
		top: unset;
		transform: unset;
		max-width: unset;
		transition: transform 0.3s ease;
	}
	.single_realisation {
		width: 31%;
	}
}



@media screen and (max-width: 880px) {
	/**** 404 ****/
	#page_404_ill_block{
	width: 100%;
	margin: 0;
	text-align: center;
	}
	#page_404_ill_block object{
	margin: auto;
	}
	#page_404_ill_main{
	flex: none;
	width: 100%;
	text-align: center;
	}
	/**** AUTRES : ****/
	.bloc_announce {
		padding-bottom: 45px;
	}
	.bloc_pic_edit_col_left img {
		width: clamp(250px, 40vw, 530px);
	}
	.mySlider_fifty_fifty {
		padding: 40px 0 0;
		margin-bottom: 40px;
	}
	.mySlider_fifty_fifty .slide_single_article {
		height: auto;
		flex-direction: column;
		gap: 25px 0;
	}
	.mySlider_fifty_fifty .slide_editor {
		order: 2;
		height: 100%;
		padding-bottom: 70px;
	}
	.mySlider_fifty_fifty .slide_pic {
		order: 1;
		margin-bottom: 26px;
	}
	.mySlider_fifty_fifty .slide_pic img {
		width: 100%;
		max-height: 250px;
		object-fit: cover;
	}
	.mySlider_fifty_fifty .swiper-button-prev-fifty,
	.mySlider_fifty_fifty .swiper-button-next-fifty {
		bottom: -25px;
	}
	.mySlider_fifty_fifty .myslider_buttons {
		right: 0;
		bottom: 46px;
	}
	.chapo_produit_container {
		width: 100%;
	}
	.chapo_produit_bloc_images {
		width: 100%;
		margin-bottom: 28px;
	}
	.chapo_produit_bloc_images .chapo_produit_single_large_pic,
	.myChapo_produit_slider {
		max-width: unset !important;
		width: 100%;
		height: 350px;
	}
	.chapo_produit_btns {
		padding-top: 0;
		padding-bottom: 20px;
	}
	.bloc_remontee_equip ul {
		padding: 0 20%;
	}
	.bloc_form {
		flex-direction: column;
	}
	.bloc_form_desc,
	.bloc_form_intro {
		width: 100%;
		padding-right: unset;
	}
	form .gform-footer button {
		bottom: 70px;
	}
	.bloc_continents ul {
		flex-wrap: wrap;
		justify-content: center;
	}
	.bloc_continents ul li {
		min-width: 280px;
	}
}



@media screen and (max-width: 780px) {
	/*** CLASSICS ***/
	.classic_styled_title_h2,
	.classic_styled_title_h2_white,
	.classic_styled_title_h3,
	.footer_pic_main_title {
		font-size: 24px;
	}
	/*** CHAPO ***/
	.home_chapo {
		padding-top: 80px;
	}
	.home_chapo p:has(.title_h1_white) {
		margin: 0;
	}
	.all_chapo .chapo_content {
		max-width: unset;
		padding: 75px 60px 20px 40px;
	}
	.home_chapo .chapo_content {
		margin-top: 150px;
		margin-bottom: 140px;
	}
	.all_chapo .chapo_content:after {
		top: 15px;
		left: 42px;
	}
	/*** AUTRES ***/
	.bloc_rea_childs {
		flex-wrap: wrap;
		justify-content: center;
		row-gap: 35px;
	}
	.single_realisation {
		width: 45%;
	}
	#bloc_single_actu_cards ul li {
		width: 48%;
	}
	.bloc_announce_display {
		display: block;
	}
	.bloc_announce_pic {
		width: 100%;
		max-height: 250px;
	}
	.bloc_announce_pic img {
		border-radius: 10px 10px 0 0;
	}
	.bloc_announce_content {
		flex: unset;
		padding: 30px 55px 70px 40px;
		border-radius: 0 0 10px 10px;
	}
}


@media screen and (max-width: 680px) {
	/*** MENU PRINCIPAL ***/
	#logo,
	#logo_home {
		margin-left: 40px;
	}
	/*** FOOTER ***/
	.footer_top {
		display: block;
	}
	.footer_pic_main_title {
		max-width: unset;
		padding-bottom: 20px;
	}
	#footer_top_buttons a {
		display: block;
		width: fit-content;
		text-align: center;
		margin: 0 auto 15px 0;
	}
	#footer_top_buttons a:last-of-type {
		margin-left: 0;
	}
	#footer_menu,
	#footer_menu ul {
		display: block;
	}
	#footer_menu #widget_footer_widget_nav_menu {
		width: 100%;
		margin-right: 0;
	}
	#footer_menu ul li a {
		padding-top: 20px;
	}
	#footer_menu ul li ul li,
	#footer_top_usefull ul li a {
		margin-bottom: 5px;
	}
	#footer_menu ul li ul li a,
	#footer_top_usefull ul li a {
		padding-top: 0;
	}
	#footer_menu .footer_top_usefull_content {
		padding-top: 20px;
		margin-left: 0;
		width: 100%;
	}
	#footer_menu .footer_intro_usefull_title {
		padding-bottom: 5px;
	}
	/*** MARGES ET PADDING RESPONSIVE des blocs ***/
	.home_chapo,
	.bloc_rea_childs,
	.bloc_50_50,
	.bloc_2cols_pic_editor,
	.bloc_partners,
	.bloc_height_square_pics,
	.bloc_four_dark_squares_front,
	.bloc_remontee_equip,
	.bloc_continents {
		margin-bottom: 40px;
	}
	.content_front {
		padding-bottom: 20px;
	}
	.chapo_produit {
		margin-bottom: 20px;
	}
	.height_square_pics_single_article a .content_front {
		padding-bottom: 0;
	}
	/*** AUTRES ***/
	.bloc_50_50_btn {
		margin: 20px auto 0;
	}
	.bloc_50_50_mainpic img {
		width: clamp(250px, 90vw, 680px);
	}
	.bloc_2cols_pic_editor {
		flex-direction: column;
	}
	.bloc_pic_edit_col_left {
		order: 2;
		padding-top: 20px;
	}
	.bloc_pic_edit_col_right  {
		order: 1;
	}
	.bloc_pic_edit_col_left img {
		width: clamp(250px, 90vw, 680px);
		aspect-ratio: 680 / 350;
		margin-right: auto;
		margin-left: auto;
	}
	.height_square_pics_single_article,
	.single_article_child_equipement,
	.bloc_push_contact_or_solar_calc {
		width: 392px;
	}
	.square_pics_single_pic img,
	.square_pics_single_nopic,
	.single_child_equipement_pic img {
		width: 100%;
		aspect-ratio: 392 / 300;
	}
	.bloc_partners_article,
	.bloc_partners_article:has(.bloc_partners_single_logo) {
		width: 47%;
	}
	.chapo_produit_minipics {
		column-gap: 5px;
	}
	.gform-theme--foundation .gfield--width-three-quarter {
		grid-column: span 12 !important;
	}
	form .gform-footer button {
		bottom: -25px;
	}
	.bloc_form_separator {
		margin-bottom: 35px;
	}
	.bloc_push_contact_or_solar_calc {
		padding: 15px 10px 30px;
	}
	.bloc_remontee_equip ul {
		padding: 0;
	}
	.bloc_50_50_single_article:has(.bloc_50_50_single_link) {
		background-size: 100% 100%;
	}
	.bloc_slider_50_50 .mySlider_fifty_fifty.widzmain {
		margin-right: 20px;
		margin-left: 20px;
	}
	.mySlider_fifty_fifty {
		padding: 18px 0 0;
	}
	.chapo_produit_btns .classic_btn_fond_blanc,
	.chapo_produit_download_btn .classic_btn_dark_blue {
		width: 100%;
		text-align: center;
	}
}


@media screen and (max-width: 580px) {
	.home_chapo {
		background-position: right;
	}
	.navtop ul li ul {
		min-width: unset;
	}
	.navtop ul li ul li::after,
	.navtop ul li ul li:last-of-type::after,
	.navtop_home ul li ul li::after,
	.navtop_home ul li ul li:last-of-type::after {
		right: 0 !important;
	}
	.bloc_partners_article,
	.bloc_partners_article:has(.bloc_partners_single_logo) {
		width: 90%;
	}
	#bloc_single_actu_cards ul li {
		width: 100%;
	}

}



@media screen and (max-width: 480px) {
	h1,
	.page_hentry h1,
	.title_h1_white,
	.chapo_produit_title {
		font-size: 20px;
	}
	.classic_styled_title_h2,
	.classic_styled_title_h2_white,
	.classic_styled_title_h3,
	.footer_pic_main_title {
		font-size: 19px;
	}
	#footer_legals ul li a {
		font-size: 14px;
	}
	.mySlider_fifty_fifty .slide_editor h2 {
		font-size: 17px;
	}
	.single_realisation {
		width: 88%;
	}
	.all_chapo .chapo_content {
		padding: 75px 30px 20px 30px;
	}
	.footer_content.widzmain {
		width: auto;
		margin-right: 10px;
		margin-left: 20px;
	}
}
